Cyberduck Mountain Duck CLI

#2948 closed defect (fixed)

WebDAV default web URL doesn't include port or path

Reported by: vendor.contactme@… Owned by: dkocher
Priority: normal Milestone: 3.2
Component: webdav Version: 3.1.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

My bookmark has these attributes:

  • Host: office-mac.local
  • Port: 8080
  • Path: /dav/

The URL shown on the bookmark seems correct: http://office-mac.local:8080/dav and I *can* open a connection and see a listing of files. When I select a file and specify either the Info or Open Web URL options the resulting web URL is http://office-mac.local/filename, but it should be http://office-mac.local:8080/dav/filename to be valid.

I did *not* change the Bookmark's web URL from the "default". This auto-generated value should take into account all the bookmark's related fields (port, path, etc.) to be valid.

/Marty

Change History (6)

comment:1 Changed on Mar 19, 2009 at 11:59:24 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Mar 19, 2009 at 12:02:11 PM by dkocher

  • Component changed from core to webdav
  • Milestone set to 3.1.3
  • Status changed from new to assigned

comment:3 Changed on Mar 19, 2009 at 12:04:15 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r4516.

comment:4 Changed on Mar 21, 2009 at 8:22:44 AM by jurassic@…

I experience this issue with FTP connections.

comment:5 follow-up: Changed on Nov 26, 2009 at 12:19:06 AM by keizie

  • Resolution fixed deleted
  • Status changed from closed to reopened

Version 3.3 (r5550) still malfunction with URL.

Cyberduck shows http://domain.name./ as URL, while avahi-browse -a -r command resolved as below.

hostname = [domain.name] address = [IPADDR] port = [80] txt = path=/dav/?

comment:6 in reply to: ↑ 5 Changed on Dec 6, 2009 at 7:42:30 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to keizie:

Version 3.3 (r5550) still malfunction with URL.

Cyberduck shows http://domain.name./ as URL, while avahi-browse -a -r command resolved as below.

hostname = [domain.name] address = [IPADDR] port = [80] txt = path=/dav/?

Support for TXT records in Bonjour/Zeroconf services has been added in r5607.

Note: See TracTickets for help on using tickets.
swiss made software